Subject: bug#38181: Actual height of mode-line not taken into account

From: martin rudalics <[email-masked]>
Date: Fri, 15 Oct 2021 09:05:07 +0200

> I'm seeing what I believe is an instance of this issue in a vanilla
 > build from emacs-28 branch, ns/cocoa backed.
 >
 > Here are some instructions for reproduction:
 > https://github.com/seagle0128/doom-modeline/issues/480#issue-1027051204

If the underlying scenario is that you first fit a window to its buffer
and then enlarge the height of that window's mode-line, there's not much
we can do here currently.  It's like fitting a window to its buffer and
then adding a header line or a horizontal scroll bar to that window.

martin